Subject: (mobile-ip) Mobile-IPv6 question

From: "Ramses Morales" <[email-masked]>
Date: Wed, 1 Jul 1998 14:53:18 -0500

Hi.

I don't understand why the correspondent node has to put the home-address of
the mobile node in the routing header and the care-of-address as the
destination and make the mobile node swap those address when it receives the
packet.

Is there any special reason to send the packet first to the home network if
it can go directly to the foreing network?

Thanks.

-----------------------------------------------------------------------------
IETF Mobile IP Working Group Mailing List - Archives:  software.watson.ibm.com
Unsubscribe:	unsubscribe mobile-ip		(as message body, not subject)
Direct all administrative requests to [email-masked]

---

From: Zhigang Liu <[email-masked]>
Date: Thu, 2 Jul 1998 08:35:35 -0500 (CDT)

> it can go directly to the foreing network?

security

---

From: Dave Johnson <[email-masked]>
Date: Thu, 02 Jul 1998 09:53:13 -0400

>it can go directly to the foreing network?

With a Routing header, the packet goes first to the destination in the
IPv6 header, and *then* to the hop named in the Routing header.  So
the packets do *not* go first to the home network, they go first to
the care-of address (which is the mobile node itself) and then are
looped back *inside* the mobile node to its home address (without
going over any network).  The packet is then processed by the mobile
node as a packet that was destined to the home address (as it must be
for transparency), even though the packet was routed directly to the
care-of address.

If this isn't clear now, please let me know...

					Dave